Vzctl 3.0.30.1 - 3.0.30.2 downgrade instructions OpenVZ Bugs

 

Check the version of vzctl you have installed:检查您已经安装了vzctl版本,如果不在3.0.30.1 - 3.0.30.2这个范围呢,可以忽略。..

1
rpm -qa | grep vzctl

vzctl-right.jpg

上面这个版本的,不受影响,可以忽略。下面这个vzctl-3.0.30.2-1就有问题了。按照下面的步骤来..

vzctl.jpg

Make a backup of your vz.conf:备份vz.conf

1
cp /etc/vz/vz.conf /etc/vz/vz.conf.moved

Remove the bugged version 删除的错误版本(中间按y)

1
yum remove vzctl vzctl-lib

Download and install version 3.0.29.3:下载和安装3.0.29.3版本

For a 64bit host:对于64位的主机

1
2
3
4
cd /tmp
wget http://download.openvz.org/utils/vzctl/3.0.29.3/vzctl-3.0.29.3-1.x86_64.rpm
wget http://download.openvz.org/utils/vzctl/3.0.29.3/vzctl-lib-3.0.29.3-1.x86_64.rpm
rpm -ihv vzctl-3.0.29.3-1.x86_64.rpm vzctl-lib-3.0.29.3-1.x86_64.rpm

For a 32bit host:对于32位的主机:

1
2
3
4
cd /tmp
wget http://download.openvz.org/utils/vzctl/3.0.29.3/vzctl-3.0.29.3-1.i386.rpm
wget http://download.openvz.org/utils/vzctl/3.0.29.3/vzctl-lib-3.0.29.3-1.i386.rpm
rpm -ihv vzctl-3.0.29.3-1.i386.rpm vzctl-lib-3.0.29.3-1.i386.rpm

Move the vz.conf back:移动原来的备份vz.conf(覆盖选y)

1
cp /etc/vz/vz.conf.moved /etc/vz/vz.conf

Restart OpenVZ (This will restart your containers aswell):重启OPENVZ

1
service vz restart

It has come to our attention that the latest releases of vzctl (3.0.30.1 - 3.0.30.2) contains gs.vzctl downgrade.jpg


down1.jpg

If you have any of the above versions installed, your containers may fail to start or suffer from memory issues within the container.

We have put together a page on our wiki with instructions on how to downgrade to a more suitable version of vzctl. It’s a simple process and only needs to be performed if you have any of the above versions installed already.

Full instructions are here: http://wiki.solusvm.com/index.php/OpenVZ_Bugs

As soon as OpenVZ release a new vzctl update, we will fully test it and inform you when it's stable for a production enviroment.

As you can understand, this is totally out of our control and is not a bug within SolusVM. Any system that uses OpenVZ will experience the same issues and will need the downgrade to function correctly.

发表留言

人生在世,错别字在所难免,无需纠正。